%global xfceversion 4.18

Name:           xfce4-appfinder
Version:        4.18.1
Release:        1
Summary:        Appfinder for the Xfce4 Desktop Environment

License:        GPLv2+
URL:            http://www.xfce.org/
Source0:        http://archive.xfce.org/src/xfce/%{name}/%{xfceversion}/%{name}-%{version}.tar.bz2

BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(dbus-glib-1) >= 0.84
BuildRequires:  pkgconfig(garcon-1) >= 0.1.7
BuildRequires:  pkgconfig(libxfce4ui-2) >= %{xfceversion}
BuildRequires:  pkgconfig(libxfconf-0) >= %{xfceversion}
BuildRequires:  startup-notification-devel
BuildRequires:  gettext 
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

%description
xfce-appfinder shows system wide installed applications.


%prep
%setup -q

# fix icon problems - GTK-3.10+
sed -i 's/gtk-find/edit-find/g' data/xfce4-appfinder.desktop.in
sed -i 's/gtk-execute/system-run/g' data/xfce4-run.desktop.in

%build
%configure

%make_build

%install
%make_install


desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/xfce4-run.desktop

appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.xfce.%{name}.appdata.xml

%find_lang %{name}


%files -f %{name}.lang
%license COPYING
%doc TODO ChangeLog AUTHORS
%{_bindir}/xfce4-appfinder
%{_bindir}/xfrun4
%{_datadir}/applications/xfce4-*.desktop
%{_datadir}/icons/hicolor/*/apps/org.xfce.appfinder*
%{_metainfodir}/org.xfce.%{name}.appdata.xml

%changelog
* Tue Mar 12 2024 misaka00251 <liuxin@iscas.ac.cn> - 4.18.1-1
- Update to 4.18.1

* Fri Feb 03 2023 misaka00251 <liuxin@iscas.ac.cn> - 4.18.0-3
- Revert avoid saving duplicate command changes

* Fri Jan 13 2023 misaka00251 <liuxin@iscas.ac.cn> - 4.18.0-2
- Add upstream patch to fix command history segmentation fault

* Wed Jan 04 2023 misaka00251 <liuxin@iscas.ac.cn> - 4.18.0-1
- Update to 4.18.0

* Fri Jun 18 2021 zhanglin <lin.zhang@turbolinux.com.cn> - 4.16.0-1
- Update to 4.16.0

* Sun Jul 12 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 4.14.0-1
- Init package
